build-essential (12.9ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add pkgbinarymangler to the list of essential cross packages.
    - Add riscv64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Apr 2021 23:50:27 -0700

build-essential (12.9) unstable; urgency=medium

  * Bump dependencies on gcc and g++ to 10.2.
  * Bump standards and debhelper versions.
  * Regenerate lists of essential packages.
  * Support building a build-essential-mipsen package (YunQiang Su).
    Closes: #950548.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Jan 2021 11:23:06 +0100

build-essential (12.8ubuntu3) groovy; urgency=medium

  * Add riscv64.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 Jul 2020 20:01:44 +0100

build-essential (12.8ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Add pkgbinarymangler to the list of essential cross packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Sep 2019 14:06:12 +0200

build-essential (12.8) unstable; urgency=high

  * Stop building crossbuild-essential-mips{,64}el.

 -- Matthias Klose <doko@debian.org>  Sat, 14 Sep 2019 12:52:43 +0200

build-essential (12.7ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Add pkgbinarymangler to the list of essential cross packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Aug 2019 01:40:33 +0200

build-essential (12.7) unstable; urgency=medium

  * Bump dependencies on gcc and g++ to 9.2.
  * Bump standards version.
  * Stop build crossbuild-essential-mips.
  * Regenerate lists of essential packages.

 -- Matthias Klose <doko@debian.org>  Mon, 26 Aug 2019 11:34:51 +0200

build-essential (12.6ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Add pkgbinarymangler to the list of essential cross packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Mar 2019 13:14:14 +0100

build-essential (12.6) unstable; urgency=medium

  * Bump dependencies on gcc and g++ to 8.3.
  * Regenerate lists of essential packages.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Mar 2019 13:05:10 +0100

build-essential (12.5ubuntu2) bionic; urgency=medium

  * Fix dependency generation for the amd64 cross package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Apr 2018 22:18:38 +0200

build-essential (12.5ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Add pkgbinarymangler to the list of essential cross packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Apr 2018 19:05:26 +0200

build-essential (12.5) unstable; urgency=medium

  * Bump dependencies on gcc and g++ to 7.3.
  * Tighten dependency for cross gcc versions. Closes: #891001.
  * Regenerate lists of essential packages.
  * Build crossbuild-essential-amd64, crossbuild-essential-i386.
    Closes: #883769, #875860.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Apr 2018 17:08:43 +0200

build-essential (12.4ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build cross packages for arm64, armhf and powerpc.
    - Add pkgbinarymangler to the list of essential cross packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Sep 2017 18:26:18 +0200

build-essential (12.4) unstable; urgency=medium

  * Bump dependencies on gcc and g++ to 7.2.
  * Build crossbuild-essential-mips, crossbuild-essential-mips64el,
    crossbuild-essential-s390x, 
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Sep 2017 13:06:39 +0200

build-essential (12.3) unstable; urgency=medium

  * Bump debhelper and standards versions.
  * Bump dependencies on gcc and g++ to 6.3.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Jan 2017 23:23:36 +0100

build-essential (12.2) unstable; urgency=medium

  * Bump dependencies on gcc and g++ to 5.3.
  * For cross packages, drop libc-dev dependency on libc-dev.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Feb 2016 00:26:37 +0100

build-essential (12.1ubuntu2) wily; urgency=medium

  * Build crossbuild-essential-s390x.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Sep 2015 20:31:59 +0200

build-essential (12.1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build cross packages for arm64, armhf and powerpc.
    - Add pkgbinarymangler to the list of essential cross packages.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 02 Aug 2015 15:05:23 +0200

build-essential (12.1) unstable; urgency=medium

  * Bump dependencies on gcc and g++ to 5.2.
  * Fix generating essential-package-list files for !linux targets (Pino
    Toscano). Closes: #772593. 
  * Update package lists.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Aug 2015 14:44:21 +0200

build-essential (12) experimental; urgency=medium

  * Update package lists.
  * Add missing architectures to the cross list (Thorsten Glaser).
    Closes: #697702.
  * Enable cross builds for armel, armhf, arm64, mipsel, powerpc, ppc64el.
    Closes: #766551.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Oct 2014 16:36:09 +0200

build-essential (11.7) unstable; urgency=medium

  * Update Standards-Version to 3.9.5.
  * Build-depend on python3:any instead of python3. Closes: #750976.
  * Add package lists for new architectures.
  * Regenerate the autotools files.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Aug 2014 00:48:40 +0200

build-essential (11.6ubuntu6) trusty; urgency=low

  * Update package lists.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Nov 2013 07:48:42 +0100

build-essential (11.6ubuntu5) saucy; urgency=low

  * Add package list for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Aug 2013 19:58:36 +0200

build-essential (11.6ubuntu4) raring; urgency=low

  * Remove pkgbinarymangler from list.cross, it's not build-essential
    for native builds, so it's not build-essential for cross either.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 12 Jan 2013 19:15:03 -0700

build-essential (11.6ubuntu3) raring; urgency=low

  * Build-depend on python3:any instead of python3.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Jan 2013 18:48:27 +0100

build-essential (11.6ubuntu2) raring; urgency=low

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Jan 2013 17:08:50 +0100

build-essential (11.6ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Build cross packages for arm64, armhf and powerpc.
    - Add pkgbinarymangler to the list of essential cross packages.
  * Update essential packages lists (Ubuntu archs only).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Jan 2013 16:38:40 +0100

build-essential (11.7) unstable; urgency=medium

  * Update Standards-Version to 3.9.5.
  * Build-depend on python3:any instead of python3. Closes: #750976.
  * Add package lists for new architectures.
  * Regenerate the autotools files.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Aug 2014 00:48:40 +0200

build-essential (11.6) unstable; urgency=low

  * Update Standards-Version to 3.9.4.
  * Build-depend on python3 instead of python.
  * Update make-esslist.sh to consider ports archives and distros.
    Closes: #603386.
  * Update essential packages lists.
  * Build crossbuild-essential-<arch> packages for architectures
    provided in debian/cross-targets (currently all commented out).
    Closes: #693220.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Jan 2013 16:33:55 +0100

build-essential (11.5) unstable; urgency=low

  * Bump dependencies on gcc and g++ to 4.4.3.
  * Re-add explicit dependency on gcc. Closes: #536038.
  * Update essential packages lists. Closes: #545890.

 -- Matthias Klose <doko@debian.org>  Sun, 14 Mar 2010 23:03:13 +0100

build-essential (11.4) unstable; urgency=low

  * Regenerate the essential packages lists, including armel.
  * Increased versioned dependency on gcc and g++ to 4.3.1 (not alpha),
    to 4.2.4 (alpha).
  * Depend on hurd-dev [hurd-i386]. Closes: #456549.
  * Update package description. Closes: #480677.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Jul 2008 01:05:30 +0200

build-essential (11.3) unstable; urgency=low

  * Regenerate the essential packages lists, including amd64. Closes: #317336.
  * Increased versioned dependency on gcc and g++ to 4.1.1.
  * Update Standards-Version to 3.7.2. No changes required.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Jul 2006 01:17:14 +0200

build-essential (11.2) unstable; urgency=low

  * New maintainer.
  * Tighten versioned dependency on gcc and g++ to the versions
    with the libstdc++ allocator change. Closes: #343028.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Jan 2006 10:43:03 +0100

build-essential (11.1) unstable; urgency=low

  * If the source doesn't ship with an essential-package-list for the
    building architecture, create an empty one instead of failing.

 -- Scott James Remnant <scott@netsplit.com>  Thu,  7 Jul 2005 19:27:01 +0100

build-essential (11) unstable; urgency=low

  * Increased versioned dependency on gcc and g++ to 4.0.
  * Increased versioned dependency on dpkg-dev to 1.13.5 to provide
    support for the OS and CPU variables.
  * Updated policy references to 3.6.1.1.  Closes: #313277.
  * Regenerated essential-package-list files.  In line with dpkg, these
    now only exist for architectures in sid, all of the empty ones have
    been removed.
    - ncurses-base added for sh (creating this file)
    - login added for hurd-i386

 -- Scott James Remnant <scott@netsplit.com>  Tue,  5 Jul 2005 17:01:26 +0100

build-essential (10.1) unstable; urgency=low

  * Added (empty) amd64, kfreebsd-i386, knetbsd-i386 and powerpc64
    eseential-packages-list files.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 29 Aug 2004 18:49:36 +0100

build-essential (10) unstable; urgency=low

  * Fixed make-esslist.sh.
  * Added (empty) netbsd-i386 essential-packages-list file.
  * Remove strange \xB4 character from list, change to a '.  Closes: #199235.
  * Cleaned up package: removed {arch} cruft (moved to a subversion
    repository) and tidied and converted use of autotools to foreign
    to eliminate some unnecessary files.  Closes: #210500.
  * Removed dependency on cdbs and reverted to pure debhelper.
  * Remade essential-list files, initscripts got included.

 -- Scott James Remnant <scott@netsplit.com>  Fri, 26 Sep 2003 02:09:13 +0100

build-essential (9.7) unstable; urgency=low

  * New maintainer.

 -- Scott James Remnant <scott@netsplit.com>  Thu, 11 Sep 2003 03:13:08 +0100

build-essential (9.6) unstable; urgency=low

  * Add libc6-dev-sparc64 to list for sparc (Closes: #207770).

 -- Colin Walters <walters@debian.org>  Fri, 29 Aug 2003 12:52:09 -0400

build-essential (9.5.1) unstable; urgency=low

  * Clean and re-autogen so as to ensure that aren't using
    symlinks to the various autotools scripts (Closes: #205836).

 -- Colin Walters <walters@debian.org>  Mon, 18 Aug 2003 22:58:47 -0400

build-essential (9.5) unstable; urgency=low

  * Make ia64 use libc6.1-dev (Closes: #203238)

 -- Colin Walters <walters@debian.org>  Fri, 15 Aug 2003 22:24:55 -0400

build-essential (9.4) unstable; urgency=low

  * Pass --copy to automake-1.7 so we actually include install.sh and
    stuff (Closes: #197501).

 -- Colin Walters <walters@debian.org>  Sun, 15 Jun 2003 12:31:22 -0400

build-essential (9.3) unstable; urgency=low

  * Package is Debian-native again.
  * Switch to gcc-3.3 (Closes: #195213)
  * debian/rules:
    - Cosmetic fixes.

 -- Colin Walters <walters@debian.org>  Fri,  6 Jun 2003 23:41:12 -0400

build-essential (9.2-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    - Bump Standards-Version to 3.5.10, no changes required.
    - Add Build-Depends on cdbs.
  * debian/rules:
    - Convert to cdbs.
  * debian/rocks:
    - Removed.

 -- Colin Walters <walters@debian.org>  Mon, 21 Apr 2003 20:21:37 -0400

build-essential (9.1-1) unstable; urgency=low

  * The "It has been rumored that we have fired scud missiles into
    Kuwait. I am here now to tell you, we do not have any scud missiles
    and I don't know why they were fired into Kuwait." release.  (Courtesy
    of Mohammed Saeed Al-Sahaf).
  * New upstream release.
    - Makes ia64 use libc6.1-dev (Closes: #188444)
  * debian/rules:
    - Update to the latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Sun, 13 Apr 2003 23:54:57 -0400

build-essential (9-1) unstable; urgency=low

  * New upstream version.
    - Depends on gcc 3.2 (Closes: #175596)

 -- Colin Walters <walters@debian.org>  Tue,  7 Jan 2003 00:40:26 -0500

build-essential (8-1) unstable; urgency=low

  * Convert to autoconf and automake.
  * Rewrite list2depends.lhs in new Python version "list2depends".  Delete
    old Haskell version.
  * New script to generate essential pacakges list "make-esslist.sh",
    taken from old Makefile.
  * Regenerate essential packages list.
  * Remove 'hellos' test sources.
  * debian/rules:
    - Convert to Colin's Build System.
  * debian/control:
    - New maintainer (Closes: #174849).
    - Build-Depend on debhelper.
    - Drop Build-Dependency on hugs, add one on python.
    - Standards-Version: 3.5.8.
  * debian/rocks:
    - New file, converted from old debian/rules.
  * postinst.build-essential, prerm.build-essential:
    - Obsolete files, the /usr/doc transition is over.  Deleted.
  * debian/copyright:
    - Convert from obsolete national charset ISO-8859-1 into UTF-8, and
    add myself to copyright holders.

 -- Colin Walters <walters@debian.org>  Wed,  1 Jan 2003 14:50:59 -0500

build-essential (7) unstable; urgency=low

  * list: GNU/Hurd has now libc0.3-dev.  Closes: #144523.
  * Makefile, debian/rules: Make $(esslist) arch-specific and build it
    (at make-esslist time) from the official sarge Packages files off the net.
    This is as good as it'll get without net access from the build daemons.
    Closes: #95704.
  * debian/rules: Install $(esslist) into $(sharedir),
    and install a symlink from there to $(docdir), closes: #137189.
  * ran "make make-esslist"
  * debian/control: Upgrade priority to optional, following the ftpmaster lead.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 22 Jul 2002 21:21:06 +0300

build-essential (6) unstable; urgency=low

  * ran "make make-esslist", again.
  * debian/rules: Install list into $(sharedir),
    and install a symlink from there to $(docdir),
    closes: #134390.
  * Updated debian/librules.mk.
  * debian/control: Updated Standards-Version to 3.5.6.
  * debian/copyright: Updated copyright year list.

 -- Antti-Juhani Kaijanaho <gaia@iki.fi>  Sun, 17 Feb 2002 16:07:22 +0200

build-essential (5) unstable; urgency=low

  * list: Hurd has libc0.2-dev.  Closes: #101271.
  * ran "make make-esslist".  Partially addresses #95704.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 19 Jul 2001 19:23:08 +0300

build-essential (4) unstable; urgency=low

  * list: Make dpkg-dev requirement versioned, closes: #70736.
  * debian/control [Build-Depends]: No need to build-depend on dpkg-dev,
    since the version requirement is satisfied by the build-essential
    packages now.
  * debian/control [Description]: Reworded a little.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat,  2 Sep 2000 17:25:43 +0300

build-essential (3) unstable; urgency=low

  * debian/rules [debian/stamp/build]: make more robust against missing
    build-time dependencies, closes: #67677
  * debian/copyright: update copyright year

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Tue, 25 Jul 2000 08:40:20 +0300

build-essential (2) unstable; urgency=low

  * list: Noted that although the list is not authoritative, it attempts
    to be accurate.
  * list2depends.lhs: Added lots of comments and restructured the program a
    little to make it more readable.
  * debian/README.build-system: New file, documenting the build system
    and especially the librules.mk file.
  * debian/rules: Don't install the list2depends program.
  * debian/rules: Made to conform to what debian/README.build-system specifies.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 29 Nov 1999 14:29:38 +0200

build-essential (1) unstable; urgency=low

  * New package.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Tue,  9 Nov 1999 14:18:34 +0200

